> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List generation groups

> Return paginated media groups for the authenticated organization.



## OpenAPI

````yaml api-reference/openapi.json get /generation/groups
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /generation/groups:
    get:
      tags:
        - Generation
      summary: List generation groups
      description: Return paginated media groups for the authenticated organization.
      operationId: listGenerationGroups
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 100
          description: Maximum number of groups to return.
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
          description: Number of groups to skip for pagination.
        - name: character_id
          in: query
          schema:
            type: string
          description: Filter by character identifier.
      responses:
        '200':
          description: Available groups.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationGroupListResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerationGroupListResponse:
      type: object
      properties:
        groups:
          type: array
          items:
            $ref: '#/components/schemas/GenerationGroupSummary'
        pagination:
          $ref: '#/components/schemas/Pagination'
        organization_id:
          type: string
        error:
          $ref: '#/components/schemas/ErrorResponse'
    GenerationGroupSummary:
      type: object
      properties:
        group_id:
          type: string
        title:
          type: string
        description:
          type: string
        group_type:
          type: string
        generation_count:
          type: integer
        preview_image_url:
          type: string
          format: uri
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        status:
          type: string
        character_id:
          type: string
    Pagination:
      type: object
      properties:
        limit:
          type: integer
          minimum: 0
        offset:
          type: integer
          minimum: 0
        returned:
          type: integer
          minimum: 0
        has_more:
          type: boolean
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Short error identifier.
        message:
          type: string
          description: Human readable error description.
        character_id:
          type: string
          description: Character that triggered the error, when relevant.
        group_id:
          type: string
          description: Group that triggered the error, when relevant.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````